On 1/30/2018 1:04 PM, Chris Friesen wrote:
Is there a plan going forward to ensure that python-novaclient and OSC are on the same page as far as deprecating CLIs and API bindings?

There is no official plan, no. The 10.0.0 novaclient release came out late. If there was more lead time, or if I would have thought of it, we could have done an audit on what other things within OpenStack were using the deprecated CLIs/python API bindings and cleaned those up first. But that didn't happen.

At this point, novaclient 10.0.0 probably won't get into upper-constraints for Queens:

https://review.openstack.org/#/c/538070/

And I'm OK with that, nothing in Queens requires >=10.0.0. We can clean things up in Rocky.

--

Thanks,

Matt

__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to